For the complete documentation index, see llms.txt. This page is also available as Markdown.

Identifier Type

Manage product identifier types in VARIO Cloud. Create, retrieve, update, delete, activate, and deactivate identifier types via the REST API.

the IdentifierType API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
get/erp/product-types/identifier-types/{id}
GET /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "active": true
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
put/erp/product-types/identifier-types/{id}
PUT /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "active": true
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/product-types/identifier-types/{id}
DELETE /erp/product-types/identifier-types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Deactivate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
put/erp/product-types/identifier-types/{id}/deactivate
PUT /erp/product-types/identifier-types/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "active": true
}

Activate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
put/erp/product-types/identifier-types/{id}/activate
PUT /erp/product-types/identifier-types/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "active": true
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Product number type.

activebooleanRead-onlyOptional

is active

Default: true
post/erp/product-types/identifier-types
POST /erp/product-types/identifier-types HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "active": true
}

Last updated

Was this helpful?